
type s=string

let sorts=ref []

let axioms=ref []

let rules=ref []

let init (s,a,r)= (sorts:=s;axioms:=a;rules:=r)

let to_string s=s

let of_string s=
  if List.mem s !sorts 
  then Some s 
  else None 

let axiom s=
    try Some (List.assoc s !axioms) 
    with Not_found->None

let rule s1 s2=
    try Some (List.assoc (s1,s2) !rules) 
    with Not_found->None

